Bug 177756 - FC5T2 release notes -- remove or soften references to non-free software
FC5T2 release notes -- remove or soften references to non-free software
Status: CLOSED RAWHIDE
Product: Fedora Documentation
Classification: Fedora
Component: release-notes (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Barnes
Karsten Wade
:
Depends On:
Blocks: fc-relnotes-blocker fc5-relnotes-traqr
  Show dependency treegraph
 
Reported: 2006-01-13 13:12 EST by Alexandre Oliva
Modified: 2007-04-18 13:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-18 05:14:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-01-13 13:12:54 EST
The sections about Sun Java and about Multimedia pretty much encourage users to
use proprietary software.  Although we can make references to such proprietary
pieces of software, we'd probably be more aligned with our goals if we just
refrained from mentioning them by name as much as possible, like the
ForbiddenItems wiki page does.  Better not use third party's trademarks to
criticize them :-)
Comment 1 Karsten Wade 2006-01-25 15:03:02 EST
Thanks for the note.

Reassigning to Multimedia beat writer and setting to block FC5 relnotes.
Comment 2 Paul W. Frields 2006-02-17 23:52:36 EST
Patrick, do you want to take another look at this issue?  Relnotes are still set
to freeze at end of next week AFAIK.
Comment 3 Patrick Barnes 2006-02-18 04:36:02 EST
I've softened the references to proprietary technologies.  There are still a 
couple of direct references that I feel are both necessary and advantageous to 
our cause.  The Java section, also mentioned in this bug, has already been 
cleaned up to a point that *I* consider suitable. 
 
One thing you have to remember here is that people are looking for these 
proprietary programs, and we must refer to them for people to take our 
messages about alternatives seriously.  In the case of multimedia software, 
generic references to MP3 and DVD (MPEG) are enough, and there's not much need 
to point directly at program names.  In the case of programs that are 
license-restricted, however, we must point directly at program names.  This is 
why direct mentioning of Flash, Real Player, and Sun's Java are necessary. 
 
Comment 4 Patrick Barnes 2006-02-18 05:14:53 EST
I've produced a new beat that we probably should have included before.  A new  
Legal section includes the usual trademark disclaimer.  We'll need to get the  
usual legal signoff for it, but it is certainly something we should have.   
While our current references to trademarked names *should* be within legal  
parameters, "better safe than sorry" is always a good approach.  It also  
includes some basic legal information that someone might expect to find in the  
release notes.  
  
With our new, toned-down references in the beats, I'm closing this bug as  
RAWHIDE. 
 
Thank you, everyone, for your attention to this matter. 
 
Comment 5 Paul W. Frields 2006-02-18 08:25:42 EST
Patrick, fortunately the trademark use issue is already handled in our "legal
notice" section -- in that it allows us to use other entities' trademarks while
noting they are the property of their respective owners.  It doesn't show up as
a beat but it is in the finished product.  We had done some XML-fu to keep it
from appearing at the top of the release notes, for fear of people looking at
the top and saying, "oh great, legalese, I think I'll just ignore this."

I like the additional information you put in this new page, though, so we should
see about including it.  Even if it doesn't make it into FC5 final relnotes, it
might be useful to add to our overall "legal boilerplate" in Docs CVS (which is
the source for the relnotes legalese as well as other documentation) once it
gets legal approval.

Note You need to log in before you can comment on or make changes to this bug.